config/routes.rb
Rails.application.routes.draw do
    # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
    # resources :users do
    #     get :sign_up, on: :collection
    #     # get :sign_in, on: :collection
    #     post :sign_in_user
    # end

    get '/404' => "errors#not_found"
    get '/422' => "errors#unacceptable"
    get '/500' => "errors#internal_error"

    get '/auth/:provider/callback', to: 'oauth#callback', as: 'oauth_callback'
    get '/auth/failure', to: 'oauth#failure', as: 'oauth_failure'


    devise_scope :user do
        authenticated :user do
            get '/' => 'home#index', as: :authenticated_root
        end

        unauthenticated do
            root 'sessions#new', as: :unauthenticated_root
        end
    end

    devise_for :users, controllers: { registrations: 'registrations', sessions: "sessions", passwords: "passwords" }
    devise_scope :user do
        get "user/password/successful_reset_password" , :to => "devise/passwords#successful_reset_password" , :as => :successful_reset_password
        post "verify_school_user", :to => "registrations#verify_school_user"
    end

    resources :users, only: [ :edit, :update ] do
        post :reset_password, on: :collection
        put :change_password, on: :collection
        post :upload_resume, on: :collection
        get :download_resume, on: :collection
    end

    resources :companies do
        get :get_cities, on: :collection
        post :search, on: :collection
        get :fetch_master_data, on: :collection
        post :add_company_as_favorite, on: :collection
        get :sponsored_petitions, on: :collection
        get :search_industry, on: :collection
        get :search_company, on: :collection
        get :company_select2, on: :collection
        get :industry_select2, on: :collection
        get :university_select2, on: :collection
        get :birth_country_select2, on: :collection
        get :job_title_select2, on: :collection
        get :state_select2, on: :collection
        get :city_select2, on: :collection
        post :fetch_map_data, on: :collection
    end

    resources :videos do
        get :get_video_list, on: :collection
        get :search, on: :collection
        get :order_list, on: :collection
    end

    resources :jobs, only: :index do
        post :search, on: :collection
        get :get_open_jobs, on: :collection
        post :favorite_job, on: :collection
    end

    resources :country_insights, only: [:index, :show] do
        get :search, on: :collection
    end

    resources :notifications, only: [ :index ] do
        get :read, on: :member
    end
    resources :gameplan, only: [ :index ] do
        get :take_test, on: :collection
        post :user_answers, on: :collection
    end
    resources :checklists, only: [ :index, :create ] do
        post 'delete_checklist', on: :collection, as: 'delete_checklist'
        post 'edit_checklist', on: :collection, as: 'edit_checklist'
        post 'mark_checklist', on: :collection, as: 'mark_checklist'
    end
    resources :network_trackers do
        get :search, on: :collection
    end
    resources :favorite_companies, only: [ :index, :create ]
    resources :feedbacks, only: [ :new, :create ]
    resources :contact_us, only: [ :new, :create ]

    get :list_post_comments, to: 'home#list_post_comments'
    post :add_comment, to: 'home#add_comment'
    post :like_post, to: 'home#like_post'
    post :add_post, to: 'home#add_post'
    post :favorite_post, to: 'home#favorite_post'
    get :get_link_info, to: 'home#get_link_info'
    post :delete_comment, to: 'home#delete_comment'
    post :bookmarked_articles, to: 'home#bookmarked_articles'
    get :search, to: 'home#search'
    get :delete_post, to: 'home#delete_post'

end

app/controllers/jobs_controller.rb
class JobsController < ApplicationController
    # require 'will_paginate/array'


    def index
        @companies = IndeedCompany.order('name ASC')
        @countries = IndeedCountry.order('name ASC')
        @favorite_companies = FavoriteCompany.get_list(current_user)
        @companies_list = Company.all.order("company_name asc").limit(100)
    end

    def search_old
        # params[:page] = 1
        IndeedAPI.publisher_id = Rails.application.secrets.indeed_publisher_id
        logger.info " ===#{params[:job_search][:page] == "1" ? params[:job_search][:page] : ((params[:job_search][:page].to_i - 1) * 10)} "
        country = params[:job_region].eql?('US') ? 'us' : params[:job_search][:country].present? ? params[:job_search][:country] : 'us'
        company = params[:job_search][:company_name].present? ? params[:job_search][:company_name] : params[:company_name].present? ? params[:company_name] : ''
        search_query = (params[:job_search][:search].present? && company.present?) ? "#{params[:job_search][:search]} company:#{company}" : (params[:job_search][:search].present? && !company.present?) ? "#{params[:job_search][:search]}" : (!params[:job_search][:search].present? && company.present?) ? "company:#{company}" : ''
        if params[:job_search][:page].to_i == 1
            result = IndeedAPI.search_jobs(q: search_query, l: params[:job_search][:city], jt: params[:job_search][:job_type], fromage: params[:job_search][:publish_date], co: country, as_cmp: company, sort: params[:sort])
        else
            result = IndeedAPI.search_jobs(q: search_query, l: params[:job_search][:city], jt: params[:job_search][:job_type], fromage: params[:job_search][:publish_date], co: country, start: params[:job_search][:page] == "1" ? params[:job_search][:page] : ((params[:job_search][:page].to_i - 1) * 10), as_cmp: company, sort: params[:sort])
        end
        @total = result.total_results
        @end = result.end
        @start = result.start
        @jobs = result.results

        # @jobs << {total_pages: @jobs.count / 10}
        logger.info "===params==#{result.inspect}=======#{result.results}"
        # exit(0)
    end


    def search
        # params[:page] = 1
        IndeedAPI.publisher_id = Rails.application.secrets.indeed_publisher_id
        Rails.logger.info { "======sdf----------#{params[:job_search]}====#{params['job_search']}" }
        logger.info " ===#{params[:job_search][:page] == "1" ? params[:job_search][:page] : ((params[:job_search][:page].to_i - 1) * 10)} "
        country = params[:job_region].eql?('US') ? 'us' : params[:job_search][:country].present? ? params[:job_search][:country] : 'us'
        company = params[:job_search][:company_name].present? ? params[:job_search][:company_name] : params[:company_name].present? ? params[:company_name] : ''
        search_query = (params[:job_search][:search].present? && company.present?) ? "company:#{company} #{params[:job_search][:search]}" : (params[:job_search][:search].present? && !company.present?) ? "#{params[:job_search][:search]}" : (!params[:job_search][:search].present? && company.present?) ? "company:#{company}" : ''
        if params[:job_search][:page].to_i == 1
            result = IndeedAPI.search_jobs(q: search_query, l: params[:job_search][:city], jt: params[:job_search][:job_type], fromage: params[:job_search][:publish_date], co: country, as_cmp: company, sort: params[:sort], rbc: company)
        else
            result = IndeedAPI.search_jobs(q: search_query, l: params[:job_search][:city], jt: params[:job_search][:job_type], fromage: params[:job_search][:publish_date], co: country, start: params[:job_search][:page] == "1" ? params[:job_search][:page] : ((params[:job_search][:page].to_i - 1) * 10), as_cmp: company, sort: params[:sort], rbc: company)
        end
        @total = result.total_results
        @end = result.end
        @start = result.start
        @jobs = result.results
        @favorite_jobs = FavoriteJob.get_list(current_user)

        # @jobs << {total_pages: @jobs.count / 10}
        logger.info "===params==#{result.inspect}=======#{result.results}"
        respond_to do |format|
            format.html {  }
            format.js {  }
        end
        # exit(0)
    end

    def get_open_jobs
        # q=Open&rbc=Dollar+General
        IndeedAPI.publisher_id = Rails.application.secrets.indeed_publisher_id
        params[:sort_by] = params[:sort_by].present? ? params[:sort_by] : 'relevance'
        params[:job_type] = params[:job_type] || 'all'
        params[:keyword] = params[:keyword] || ''


        if params[:page].to_i == 1
            result = params[:city].present? ? IndeedAPI.search_jobs(q: "#{params[:keyword]} company:#{params[:company_name]}", rbc: params[:company_name], jt: params[:job_type], sort: params[:sort], l: params[:city]) : IndeedAPI.search_jobs(q: "#{params[:keyword]} company:#{params[:company_name]}", rbc: params[:company_name], jt: params[:job_type], sort: params[:sort])
        else
            # result = IndeedAPI.search_jobs(q: search_query, l: params[:job_search][:city], jt: params[:job_search][:job_type], fromage: params[:job_search][:publish_date], co: country, start: params[:job_search][:page] == "1" ? params[:job_search][:page] : ((params[:job_search][:page].to_i - 1) * 10), as_cmp: company.downcase, sort: params[:sort])
            result = params[:city].present? ? IndeedAPI.search_jobs(q: "#{params[:keyword]} company:#{params[:company_name]}", rbc: params[:company_name], jt: params[:job_type], sort: params[:sort], l: params[:city], start: params[:page] == "1" ? params[:page] : ((params[:page].to_i - 1) * 10)) : IndeedAPI.search_jobs(q: "#{params[:keyword]} company:#{params[:company_name]}", rbc: params[:company_name], jt: params[:job_type], sort: params[:sort], start: params[:page] == "1" ? params[:page] : ((params[:page].to_i - 1) * 10))
        end


        # logger.info "====sql===#{IndeedAPI.search_jobs(q: "#{params[:keyword]} company:#{params[:company_name]}", rbc: params[:company_name], jt: params[:job_type], sort: params[:sort]).query}"
        # result = params[:city].present? ? IndeedAPI.search_jobs(q: "#{params[:keyword]} company:#{params[:company_name]}", rbc: params[:company_name], jt: params[:job_type], sort: params[:sort], l: params[:city]) : IndeedAPI.search_jobs(q: "#{params[:keyword]} company:#{params[:company_name]}", rbc: params[:company_name], jt: params[:job_type], sort: params[:sort])
        # logger.info "===res====#{result.inspect}"
        @total = result.total_results
        @end = result.end
        @start = result.start
        @jobs = result.results
        @favorite_jobs = FavoriteJob.get_list(current_user)
        respond_to do |format|
            format.html {  }
            format.js {  }
        end
        logger.info "===total==#{@total} ===#{@end}"
    end

    def filter_open_jobs
        IndeedAPI.publisher_id = Rails.application.secrets.indeed_publisher_id
        result = IndeedAPI.search_jobs(q: "Open company:#{params[:company_name]}", rbc: params[:company_name])
        @total = result.total_results
        @end = result.end
        @start = result.start
        @jobs = result.results
        logger.info "===total==#{@total} ===#{@end}"
    end

    def favorite_job
        begin
            @fav_job = FavoriteJob.where(user_id: current_user.id, job_id: params[:job_id])
            logger.info "===compfav==#{@fav_job.inspect}"
            if params[:like].eql?('like')
                logger.info { "======1=======" }
                if @fav_job.present?
                    @fav_job.destroy_all
                end
                logger.info "===2==="
                params[:user_id] = current_user.id
                params[:is_favorite] = params[:like]
                @fav_job = FavoriteJob.new(favorite_job_params)
                logger.info "===facv===#{@fav_job.inspect}"
                if @fav_job.save
                    logger.info { "=========saved=========" }
                else
                    logger.info { "=========err=========#{@fav_job.errors.full_messages}" }
                end
                @favorite_jobs = FavoriteJob.get_list(current_user)
                # @companies_list = Company.all.order("company_name asc").limit(100)
                # flash[:notice] = 'Job added as favorite'
                respond_to do |format|
                    format.json { render json: { success: true } }
                    format.js {  }
                end
                # render json: { success: true, message: 'Company added as favorite' }
            else
                if @fav_job.present?
                    logger.info "===3==="
                    @fav_job.destroy_all
                    @favorite_jobs = FavoriteJob.get_list(current_user)
                    # @companies_list = Company.all.order("company_name asc").limit(100)
                    # flash[:notice] = 'Job removed from favorite'
                    respond_to do |format|
                        format.json { render json: { success: true } }
                        format.js {  }
                    end
                end
            end
        rescue Exception => e

        end
    end

    private
    def favorite_job_params
        params.permit(:user_id, :job_id, :is_favorite, :job_title, :job_link, :company_name)
    end
end

app/helpers/jobs_helper.rb
module JobsHelper
end

app/views/jobs/_fav_jobs.html.erb
<div class="scrollspy jobs-scroll">
    <%= link_to 'New Search', jobs_path, class: 'btn btn-theme rounded' %>
    <div class="favorites bg_none">
        <div class="col-sm-12">
            <div class="row border-bottom">
                <!-- <h1 class="title"><a href="#" class="add-icon pull-left" data-toggle="modal" data-target="#favorite">+</a> Favorite Jobs</h1> -->
                <h1 class="title"><a href="JavaScript:void(0)" class="add-icon pull-left">+</a> <span>Hotlist</span></h1>
                <!-- <h1 class="title">Favorite Jobs</h1> -->
            </div>

            <% if @favorite_jobs.present? %>
                <ul>
                    <% @favorite_jobs.each do |fav| %>
                        <% logger.info "===fav===#{fav.inspect}" %>
                        <li class="fav-job fav-job_<%= fav['job_id'] %>" data-id="<%= fav['job_id'] %>">
                            <div class="row">
                                <span class="col-sm-12 col-xs-12">
                                    <!-- <div class="remove_from_fav_icon pull-right"> -->
                                        <a data-toggle="tooltip" data-placement="right" title="Remove from Favorite" href="javascript:void(0);" class="remove-fav-icon-jobs pull-right" data-job-id="<%= fav['job_id'] %>" id="fav-job"><i class='fa fa-trash'></i></a>
                                    <!-- </div> -->
                                    <p><%= fav['job_title'] %></p>
                                </span>
                            </div>
                            <h2><%= fav['company_name'] %></h2>
                            <a href="<%= fav['job_link'] %>" target="_blank">View job details</a>
                            <!-- <a href="javascript:void(0);" id="company_details" data-id="<%#= fav.company_id %>" data-type="<%#= params[:tab_type]%>" target="_blank">View company details</a> -->
                        </li>
                    <% end %>
                </ul>
            <% else %>
                <!-- <br /> -->
                <div class="center_align">
                    <div class="table-cell"> <h3>You have not marked any jobs as Favorite yet!</h3></div>
                </div>

            <% end %>
        </div>
    </div>
</div>

<!-- favorite modal -->
<div id="favorite" class="modal fade" role="dialog">
  <div class="modal-dialog modal-md">
    <!-- Modal content-->
    <%= form_for FavoriteCompany.new, url: favorite_companies_path, method: :post do |f| %>
        <div class="modal-content">
          <div class="modal-header">

            <h4 class="modal-title">Add Favorite</h4>
          </div>
          <div class="modal-body">
              <div class="form-group margin-top-30 margin-bottom-30">
                  <!-- <input type="text" placeholder="Enter company name" class="form-control"> -->
                <%# if @companies_list.present? %>
                    <%#= f.select :company_id, options_for_select(@companies_list.map{ |c| [ c.company_name, c.id ] }), {prompt: 'Select Company'}, class: 'select2 select_company form-control' %>
                <%# else %>
                    <%#= f.select :company_id, options_for_select(@companies.map{ |c| [ c.name, c.id ] }), {prompt: 'Select Company'}, class: 'select2 select_company form-control' %>
                <%# end %>
              </div>
    		  <div class="clearfix"></div>
              <%#= f.hidden_field 'type_radio_val', value: params[:type] %>
          </div>
          <div class="modal-footer">
              <div class="center-block">
                  <button type="button" class="btn btn-theme2 stroke rounded" data-dismiss="modal">Cancel</button>
                  <input type="button" class="btn btn-theme rounded" value="Submit">
                  <%#= f.submit 'Submit', class: 'btn btn-theme rounded' %>
              </div>
          </div>
        </div>
    <% end %>

  </div>
</div>
<!-- /favorite modal-->

app/views/jobs/_job_listing.html.erb
<% @jobs.each do |job| %>
    <% logger.info "===job===#{job.job_key}" %>
    <% is_fav = FavoriteJob.find_by(job_id: job.job_key, user_id: current_user.id, is_favorite: true).present? %>
    <li class="cell">
        <div class="star_icon_jobs pull-right">
            <a data-toggle="tooltip" data-placement="right" title="Add to Favorite" href="javascript:void(0);" class="fav-icon-jobs fav-icon-jobs-<%= job.job_key %>  <%= is_fav ? 'active' : '' %>" data-job-id="<%= job.job_key %>" id="fav_job" data-job-title="<%= job.job_title %>" data-url="<%= job.url %>" data-company-name="<%= job.company %>"></a>
        </div>
        <a href="<%= job.url %>" target="_blank">
            <h3><%= job.job_title %></h3>
            <% location = (job.city.present? && job.state.present? && job.country.present?) ? "#{job.city}, #{job.state}, #{job.country}" : (job.city.present? && job.country.present? && !job.state.present?) ? "#{job.city}, #{job.country}" : (!job.city.present? && job.state.present? && job.country.present?) ? "#{job.state}, #{job.country}" : job.country  %>
            <p><span><%= job.company %></span><i>.</i><%= location %><i>.</i><%= job.formatted_relative_time %></p>
        </a>
    </li>
<% end %>

<script>
    $(document).ready(function(){
        favorite_jobs()
        remove_favorite_jobs_sidebar()
        $('.cell .star_icon_jobs').hide()
        $('.cell').on('mouseover', function(){
            // alert(1)
            // console.log($(this).children('div.star_icon'));
            $(this).children('div.star_icon_jobs').show()
            // $('.chart-cell .star_icon').show()
        })
        $('.cell').on('mouseout', function(){
            // alert(1)
            $('.cell .star_icon_jobs').hide()
        })
    })
</script>

app/views/jobs/_jobs_list.html.erb
<div class="col-sm-12">
    <h1 class="title new_title_jobs">Displaying <%= @jobs.count %> Jobs<br/></h1>
    <!-- <div class="divider no-margin"></div> -->
</div>
<div class="clearfix"></div>
<!-- <div class="vr_scroll search-lists-scroll"> -->
<div class="vr_scroll search_vr_scroll">
    <ul class="search-lists">
        <%# logger.info "===josb==#{@jobs.inspect}" %>
        <%= render partial: 'job_listing', locals: { '@jobs': @jobs} %>
        <input type="text" hidden="true" id="page_number"/>
    </ul>
</div>
<!-- </div> -->
<div class="row">
    <div class="col-md-4 pull-right load-more-btn" style="margin-bottom: 5px;">
        <% if @total > 10 %>
            <%= link_to 'Load More', 'javascript:void(0)', class: 'load_jobs btn btn-theme rounded' %>
        <% end %>
    </div>
</div>

<script>

    $(document).ready(function($) {

        if (window.history && window.history.pushState) {

            $(window).on('popstate', function() {
              var hashLocation = location.hash;
              var hashSplit = hashLocation.split("#!/");
              var hashName = hashSplit[1];

              if (hashName !== '') {
                var hash = window.location.hash;
                if (hash === '') {
                  // alert('Back button was pressed.');
                  window.location.pathname = '/jobs'
                  // window.location.pathname = '/interstride/jobs'
                }
              }
            });

            window.history.pushState('forward', null, './#forward');
        }

    });
$(function() {
  // $('.loader').hide();  // hide it initially.
  $(document)
    .ajaxStart(function() {

      //   console.log('ajaxStart');
      // $('.loader').show(); // show on any Ajax event.
    })
    .ajaxStop(function() {
        // console.log('ajaxend');
      // $('.loader').hide(); // hide it when it is done.
      $(".vr_scroll").mCustomScrollbar({
        axis:"y",
        theme:"dark-3",
        advanced: {
          autoExpandVerticalScroll:true //optional (remove or set to false for non-dynamic/static elements)
        }
      });
  });
})
</script>

app/views/jobs/_list_open_jobs.html.erb
<% if @jobs.present? %>
    <% @jobs.each do |job| %>
        <% logger.info "===job===#{job.inspect}" %>
        <li class="cell">
            <!-- <a href="#" data-toggle="modal" data-target="#meeting-info"> -->
            <a href="http://www.indeed.com/rc/clk?jk=<%= job.job_key %>&v=2" target="_blank">
                <h3><%= job.job_title %></h3>
                <p>
                    <span><%= job.company %></span><i>.</i><%= job.formatted_location %>
                    <i>.</i><%= job.formatted_relative_time %>
                </p>

            </a>
        </li>
    <% end %>
<% else %>
    <h3> No Open Jobs Available </h3>
<% end %>

app/views/jobs/favorite_job.js.erb
<% if flash[:notice].present? %>
    toastr.success("<%= flash[:notice] %>");
<% end %>

var id = "<%= params[:job_id] %>"
<%#= custom_bootstrap_flash %>
$('.fav_jobs').empty().html("<%= j render partial: '/jobs/fav_jobs', locals: { '@jobs': @jobs, '@favorite_jobs': @favorite_jobs } %>")

remove_favorite_jobs_sidebar()
favorite_jobs()

app/views/jobs/get_open_jobs.js.erb
<% logger.info "jobs==================#{@jobs.inspect}" %>
<% if @total <= 10 || @end == @total %>
    $('.load-more-jobs-btn').hide()
<% else %>
    $('.load-more-jobs-btn').show()
<% end %>
<% if params[:page].to_i == 1 %>
    $('.search-lists').empty().append("<%= escape_javascript(render partial: 'list_open_jobs', '@jobs': @jobs)%>")
    $('#page_number').val("<%= params[:page] %>")
<% else %>
    $('.search-lists').append("<%= escape_javascript(render partial: 'list_open_jobs', '@jobs': @jobs)%>")
    $('#page_number').val("<%= params[:page] %>")
<% end %>
open_jobs_load_more()

app/views/jobs/index.html.erb
<!--section-->
<section>
    <div class="container">
        <%= form_for 'job_search', url: search_jobs_path, html: {class: 'job_search_form'} do |f| %>
            <!-- <div id="smart_wizard"> -->
            <!-- Screen 1  -->
                <div class="row">
                    <div class="step_1 steps">
                        <div class="job-header">
                            <h1 class="big_title">Search Jobs</h1>
                            <%#= image_tag 'back@2x.png', class: 'jobs_back_icon' %>
                        </div>
                        <div class="select_jobs custom-radio center-block">
                            <input type="hidden" name="job_region_value" class="job_region_value" />
                            <div class="us_job radio_box">
                                <div class="radio">
                                    <input id="us" type="radio" name="job_region" value="us">
                                    <%#= radio_button_tag :job_region, 'US', class: 'radio job_region', checked: params[:country_name].present? ? false : true %>
                                    <label for="us"><div class="flag_img" style="background-image: url(/assets/us@2x.png)"></div><span>U.S. Jobs</span></label>
                                </div>
                            </div>
                            <div class="international_job radio_box">
                                <div class="radio">
                                    <input id="international" type="radio" name="job_region" value="international">
                                    <%#= radio_button_tag :job_region, 'International', class: 'radio job_region', checked: params[:country_name].present? ? true : false %>
                                    <label for="international"><div class="flag_img" style="background-image: url(/assets/international@2x.png)"></div><span>International Jobs</span></label>
                                </div>
                            </div>
                        </div>
                        <div class="bottom_btn" align="center">
                            <input type="button" name="commit" value="Next" class="btn btn-theme btn-next disabled rounded" data-disable-with="Next" data-current-step-id="1">
                        </div>
                    </div>
                    <!-- End Screen 1  -->
                    <!-- Screen 2 -->
                    <div class="step_2 steps">
                        <div class="job-header">
                            <h1 class="big_title">Search Jobs</h1>
                            <a href="javascript:void(0)" class="steps-back-btn" data-current-step-id="2"><%= image_tag 'back@2x.png', class: 'jobs_back_icon', data: { current_step_id: 2 } %></a>
                        </div>
                        <div class="select_jobs custom-radio center-block">
                            <div class="us_jobs">
                                <input type="hidden" name="us_jobs_companies" class="us_jobs_companies">
                                <div class="top_job radio_box">
                                    <div class="radio">
                                        <input id="top" type="radio" name="job" value="top">
                                        <label for="top"><div class="flag_img" style="background-image: url(/assets/top_job.png)"></div><span>Top 500 H1B</span></label>
                                    </div>
                                </div>
                                <div class="all_job radio_box">
                                    <div class="radio">
                                        <input id="all" type="radio" name="job" value="all">
                                        <label for="all"><div class="flag_img" style="background-image: url(/assets/all_job.png)"></div><span>All Companies</span></label>
                                    </div>
                                </div>
                            </div>
                            <div class="international_jobs">
                                <div class="row">
                                    <div class="col-xs-12">
                                        <div class="form-group">
                                            <%= f.select :country, options_for_select(@countries.map{ |x| [ x.name, x.code ] }), { prompt: 'Select Country' }, class: 'form-control select2 filter_select' %>
                                        </div>
                                    </div>
                                    <!-- <div class="col-xs-12">
                                        <div class="form-group">
                                            <%#= text_field_tag :company_name, '', class: 'form-control', placeholder: 'Company Name' %>
                                        </div>
                                    </div> -->
                                </div>
                            </div>
                            <div class="bottom_btn" align="center">
                              <input type="button" name="commit" value="Next" class="btn btn-theme btn-next disabled rounded" data-disable-with="Next"  data-current-step-id="2">
                            </div>
                            <div class="bottom_btn" align="center">
                              <!-- <input type="button" name="commit" value="Back" class="btn btn-theme btn-next rounded" data-disable-with="Back"  data-current-step-id="2"> -->

                            </div>
                        </div>
                    </div>
                    <!-- End Screen 2  -->
                    <!-- Screen 3 -->
                    <div class="step_3 steps">
                        <div class="job-header">
                            <h1 class="big_title">Title, Keyword</h1>
                            <a href="javascript:void(0)" class="steps-back-btn" data-current-step-id="3"><%= image_tag 'back@2x.png', class: 'jobs_back_icon', data: { current_step_id: 3 } %></a>
                        </div>
                        <div class="select_jobs  center-block">
                            <!-- <form> -->
                                <div class="form-group">
                                    <!-- <input type="text" placeholder="Enter Job Title, Keyword (optional)" class="form-control"> -->
                                    <%= f.text_field :search, placeholder: 'Enter Job title, Keyword', class: 'form-control', required: true %>
                                </div>
                                <div class="form-group">
                                    <!-- <input type="text" placeholder="City (optional)" class="form-control"> -->
                                    <%= f.text_field :city, value: '', class: 'form-control', placeholder: 'City' %>
                                </div>
                                <div class="form-group">
                                    <%= f.select :company_name, options_for_select(@companies.map{ |a| [ a.display_name, a.name ] }), { prompt: 'Company Name (Required)' }, {class: 'form-control select2'} %>
                                    <%#= f.select :company_name, options_for_select(@companies.map{ |a| [ a.display_name, "#{a.display_name}" ] }), { prompt: 'Company Name (Required)' }, {class: 'form-control select2'} %>
                                </div>
                                <div class="form-group">
                                    <%= text_field_tag :company_name, '', class: 'form-control company_name hide', id: 'company_name', placeholder: 'Company Name' %>
                                </div>
                            <!-- </form> -->
                        </div>
                        <div class="bottom_btn" align="center">
                            <input type="submit" name="commit" value="Search" class="btn btn-theme btn-next rounded submit_jobs" data-disable-with="Submit"  data-current-step-id="3">
                        </div>
                    </div>
                    <!-- End Screen 3  -->
                </div>
            <!-- </div> -->
        <% end %>
    </div>
</section>
<!--/section-->
<script>
    $(document).ready(function(){
        // $('#smartwizard').smartWizard();

    })
</script>